io.vertx.reactivex.kafka.admin

## Class AdminUtils

- java.lang.Object
- - io.vertx.reactivex.kafka.admin.AdminUtils

-     public class AdminUtils
      extends Object

  Provides a wrapper around important methods in Kafka's AdminUtils, namely

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AdminUtils>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminUtils(AdminUtils delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeTopicConfig(String topicName, Map<String,String> topicConfig, Handler<AsyncResult<Void>> completionHandler)` Updates the configuration of the topic given by topicName.
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Closes the underlying connection to Zookeeper.
    `static AdminUtils` | `create(Vertx vertx, String zookeeperHosts)` Create a new AdminUtils instance
    `static AdminUtils` | `create(Vertx vertx, String zookeeperHosts, boolean autoClose)` Create a new AdminUtils instance
    `static AdminUtils` | `create(Vertx vertx, String zookeeperHosts, int connectionTimeoutMs, boolean isSecure, boolean autoClose)` Create a new AdminUtils instance
    `void` | `createTopic(String topicName, int partitionCount, int replicationFactor, Handler<AsyncResult<Void>> completionHandler)` Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s)
    `void` | `createTopic(String topicName, int partitionCount, int replicationFactor, Map<String,String> topicConfig, Handler<AsyncResult<Void>> completionHandler)` Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s).
    `void` | `deleteTopic(String topicName, Handler<AsyncResult<Void>> completionHandler)` Delete the Kafka topic given by the topicName.
    `boolean` | `equals(Object o)`
    `AdminUtils` | `getDelegate()`
    `int` | `hashCode()`
    `static AdminUtils` | `newInstance(AdminUtils arg)`
    `Completable` | `rxChangeTopicConfig(String topicName, Map<String,String> topicConfig)` Updates the configuration of the topic given by topicName.
    `Completable` | `rxClose()` Closes the underlying connection to Zookeeper.
    `Completable` | `rxCreateTopic(String topicName, int partitionCount, int replicationFactor)` Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s)
    `Completable` | `rxCreateTopic(String topicName, int partitionCount, int replicationFactor, Map<String,String> topicConfig)` Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s).
    `Completable` | `rxDeleteTopic(String topicName)` Delete the Kafka topic given by the topicName.
    `Single<Boolean>` | `rxTopicExists(String topicName)` Checks if the Kafka topic given by topicName does exist.
    `void` | `topicExists(String topicName, Handler<AsyncResult<Boolean>> completionHandler)` Checks if the Kafka topic given by topicName does exist.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AdminUtils> __TYPE_ARG

  - ### Constructor Detail

    - #### AdminUtils

          public AdminUtils(AdminUtils delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AdminUtils getDelegate()

    - #### create

          public static AdminUtils create(Vertx vertx,
                                          String zookeeperHosts)

      Create a new AdminUtils instance
      Parameters:
        `vertx` - Vert.x instance to use
        `zookeeperHosts` - comma-separated list of Zookeeper server, e.g. localhost:2181,localhost:2182
      Returns:
        an instance of the AdminUtilWrapper

    - #### create

          public static AdminUtils create(Vertx vertx,
                                          String zookeeperHosts,
                                          boolean autoClose)

      Create a new AdminUtils instance
      Parameters:
        `vertx` - Vert.x instance to use
        `zookeeperHosts` - comma-separated list of Zookeeper server, e.g. localhost:2181,localhost:2182
        `autoClose` - If set to true, the client will auto-close the connection after a command
      Returns:
        an instance of the AdminUtilWrapper

    - #### create

          public static AdminUtils create(Vertx vertx,
                                          String zookeeperHosts,
                                          int connectionTimeoutMs,
                                          boolean isSecure,
                                          boolean autoClose)

      Create a new AdminUtils instance
      Parameters:
        `vertx` - Vert.x instance to use
        `zookeeperHosts` - comma-separated list of Zookeeper server, e.g. localhost:2181,localhost:2182
        `connectionTimeoutMs` - Maximum time in ms to wait for the client to connect to Zookeeper
        `isSecure` - If set to true, ZkUtils will perform security checks, i.e. ACL checks
        `autoClose` - If set to true, the client will auto-close the connection after a command
      Returns:
        an instance of the AdminUtilWrapper

    - #### createTopic

          public void createTopic(String topicName,
                                  int partitionCount,
                                  int replicationFactor,
                                  Handler<AsyncResult<Void>> completionHandler)

      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s)
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
        `completionHandler` - vert.x callback

    - #### rxCreateTopic

          public Completable rxCreateTopic(String topicName,
                                           int partitionCount,
                                           int replicationFactor)

      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s)
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
      Returns:

    - #### createTopic

          public void createTopic(String topicName,
                                  int partitionCount,
                                  int replicationFactor,
                                  Map<String,String> topicConfig,
                                  Handler<AsyncResult<Void>> completionHandler)

      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s). In contrast to @see `createTopic(java.lang.String, int, int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)`, one can pass in additional configuration parameters as a map (String -> String).
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
        `topicConfig` - map with additional topic configuration parameters
        `completionHandler` - vert.x callback

    - #### rxCreateTopic

          public Completable rxCreateTopic(String topicName,
                                           int partitionCount,
                                           int replicationFactor,
                                           Map<String,String> topicConfig)

      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s). In contrast to @see `createTopic(java.lang.String, int, int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)`, one can pass in additional configuration parameters as a map (String -> String).
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
        `topicConfig` - map with additional topic configuration parameters
      Returns:

    - #### deleteTopic

          public void deleteTopic(String topicName,
                                  Handler<AsyncResult<Void>> completionHandler)

      Delete the Kafka topic given by the topicName.
      Parameters:
        `topicName` - Name of the topic to be deleted
        `completionHandler` - vert.x callback

    - #### rxDeleteTopic

          public Completable rxDeleteTopic(String topicName)

      Delete the Kafka topic given by the topicName.
      Parameters:
        `topicName` - Name of the topic to be deleted
      Returns:

    - #### topicExists

          public void topicExists(String topicName,
                                  Handler<AsyncResult<Boolean>> completionHandler)

      Checks if the Kafka topic given by topicName does exist.
      Parameters:
        `topicName` - Name of the topic
        `completionHandler` - vert.x callback

    - #### rxTopicExists

          public Single<Boolean> rxTopicExists(String topicName)

      Checks if the Kafka topic given by topicName does exist.
      Parameters:
        `topicName` - Name of the topic
      Returns:

    - #### changeTopicConfig

          public void changeTopicConfig(String topicName,
                                        Map<String,String> topicConfig,
                                        Handler<AsyncResult<Void>> completionHandler)

      Updates the configuration of the topic given by topicName. Configuration parameters are passed in as a Map (Key -> Value) of Strings.
      Parameters:
        `topicName` - topic to be configured
        `topicConfig` - Map with configuration items
        `completionHandler` - vert.x callback

    - #### rxChangeTopicConfig

          public Completable rxChangeTopicConfig(String topicName,
                                                 Map<String,String> topicConfig)

      Updates the configuration of the topic given by topicName. Configuration parameters are passed in as a Map (Key -> Value) of Strings.
      Parameters:
        `topicName` - topic to be configured
        `topicConfig` - Map with configuration items
      Returns:

    - #### close

          public void close(Handler<AsyncResult<Void>> completionHandler)

      Closes the underlying connection to Zookeeper. It is required to call the method for cleanup purposes if AdminUtils was not created with autoClose set to true.
      Parameters:
        `completionHandler` - vert.x callback

    - #### rxClose

          public Completable rxClose()

      Closes the underlying connection to Zookeeper. It is required to call the method for cleanup purposes if AdminUtils was not created with autoClose set to true.
      Returns:

    - #### newInstance

          public static AdminUtils newInstance(AdminUtils arg)

Copyright © 2018 Eclipse. All rights reserved.